from Products.PABlogPlone.config import BLOG_TOPICS
from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, TextField
from Products.Archetypes.public import SelectionWidget, TextAreaWidget
from Products.Archetypes.public import RichWidget
from Products.Archetypes.public import BaseContent, registerType
from Products.Archetypes.Marshall import PrimaryFieldMarshaller
from Products.CMFCore import CMFCorePermissions
from config import PROJECTNAME

schema = BaseSchema +  Schema((
    StringField('group',
                vocabulary=BLOG_TOPICS,
                widget=SelectionWidget(),
                ),
	TextField('body',
              searchable=1,
              required=1,
              primary=1,
              default_output_type='text/html',
              allowable_content_types=('text/plain',
                                       'text/structured',
                                       'text/restructured',
                                       'text/html',
                                       'application/msword'),
              widget=RichWidget(label='Body'),
              ),
	StringField('mood',
				searchable=1,
				),
	StringField('listening',
				searchable=1,
				),
	StringField('watching',
				searchable=1,
				),
	StringField('reading',
				searchable=1,
				),
    ),
                              marshall=PrimaryFieldMarshaller(),
                              )

class BlogEntry(BaseContent):
    """This is a sample BlogEntry, it has an overridden view for show,
    but this is purely optional
    """

    schema = schema

    actions = ({
        'id': 'view',
        'name': 'View',
        'action': 'string:${object_url}/blogentry_view',
        'permissions': (CMFCorePermissions.View,)
        },)

registerType(BlogEntry, PROJECTNAME)
